Get query results
import requests
url = "https://{FUSION HOST}/api/query-pipelines/{id}/collections/{collection}/{handler}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text){
"contentType": "<string>",
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"contentCharset": "<string>"
}Get query results
Use this method if the length of your query exceeds normal GET limitations.
The response contains matching documents, plus statistics about the query operation.
Use the /api/query-pipelines endpoint to get the query pipeline ID for this request. For a Domain Search Language (DSL) search, see the POST method for the /query-pipelines/{id} endpoint.
POST
/
query-pipelines
/
{id}
/
collections
/
{collection}
/
{handler}
Get query results
import requests
url = "https://{FUSION HOST}/api/query-pipelines/{id}/collections/{collection}/{handler}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text){
"contentType": "<string>",
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"contentCharset": "<string>"
}Authorizations
Basic authAPI key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The query pipeline ID.
The data collection to query.
The Solr search handler to use for this query.
Query Parameters
The query terms, using the Solr query language.
Additional Solr query parameters. The parameters of the query request.
Show child attributes
Show child attributes
Was this page helpful?
⌘I